%global testspec_version 3.4.1
%define with_tests 0

Name:           sassc
Version:        3.6.2
Release:        %mkrel 2
Summary:        Wrapper around libsass to compile CSS stylesheet
Group:          Development/Other 
License:        MIT
URL:            https://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/%{name}-%{version}.tar.gz
# Test suite spec. According to this comment from an upstream dev, we should
# not use the release tags on the test spec:
# https://github.com/sass/libsass/issues/2258#issuecomment-268196004
# https://github.com/sass/sass-spec/archive/master.zip
# https://github.com/sass/sass-spec/archive/v%{testspec_version}.tar.gz
Source1:        sass-spec-%{testspec_version}.tar.gz
BuildRequires:  pkgconfig(libsass) >= %{version}
%if %{with_tests}
BuildRequires:  ruby
BuildRequires:  ruby-minitest
%endif

%description
SassC is a wrapper around libsass used to generate a useful command-line
application that can be installed and packaged for several operating systems.

%prep
%setup -q -a 1
mv sass-spec-%{testspec_version} sass-spec
autoreconf -fi

%build
%configure
%make_build

%install
%make_install

%if %{with_tests}
%check
ruby sass-spec/sass-spec.rb -V 3.4 -c bin/%{name} --impl libsass sass-spec/spec
%endif

%files
%license LICENSE
%doc Readme.md
%{_bindir}/%{name}


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 3.6.2-2.mga9
+ Revision: 1794092
- Mageia 9 Mass Rebuild

* Mon Jun 14 2021 guillomovitch <guillomovitch> 3.6.2-1.mga9
+ Revision: 1730767
- new version 3.6.2

* Sat Feb 15 2020 umeabot <umeabot> 3.6.1-2.mga8
+ Revision: 1526962
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 07 2019 guillomovitch <guillomovitch> 3.6.1-1.mga8
+ Revision: 1419238
- new version 3.6.1
- new version 3.6.0

* Sun Sep 23 2018 umeabot <umeabot> 3.5.0-2.mga7
+ Revision: 1300929
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 guillomovitch <guillomovitch> 3.5.0-1.mga7
+ Revision: 1242001
- new version 3.5.0

* Thu Feb 22 2018 guillomovitch <guillomovitch> 3.4.8-1.mga7
+ Revision: 1204255
- imported package sassc

